trustCenterEligibleAssessments
Lists compliance assessments eligible to be featured on the Trust Center
trustCenterEligibleAssessments(
companyId: Int!
): [TrustCenterPickerAssessment!]!
Arguments
trustCenterEligibleAssessments.companyId ● Int! non-null scalar
Type
TrustCenterPickerAssessment object
Lightweight compliance assessment shape used by the Trust Center admin picker.
Example request
This generated query uses placeholders for required values. Replace them with values available to your API key before running it.
Before you run it
Run the companies query first and use data.companies.collection[].id as companyId.
- cURL
- JavaScript
- Python
curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"query GetTrustCenterEligibleAssessments($companyId: Int!) {\n trustCenterEligibleAssessments(companyId: $companyId) { id title status }\n}","variables":{"companyId":1}}'
const response = await fetch('https://api.convisoappsec.com/graphql', {
method: 'POST',
headers: {
'content-type': 'application/json',
'x-api-key': process.env.CONVISO_API_KEY,
},
body: JSON.stringify({
query: "query GetTrustCenterEligibleAssessments($companyId: Int!) {\n trustCenterEligibleAssessments(companyId: $companyId) { id title status }\n}",
variables: {
"companyId": 1
},
}),
});
const { data, errors } = await response.json();
if (errors) throw new Error(errors.map(({ message }) => message).join(', '));
console.log(data);
import json
import os
import requests
response = requests.post(
'https://api.convisoappsec.com/graphql',
headers={
'content-type': 'application/json',
'x-api-key': os.environ['CONVISO_API_KEY'],
},
json={
'query': "query GetTrustCenterEligibleAssessments($companyId: Int!) {\n trustCenterEligibleAssessments(companyId: $companyId) { id title status }\n}",
'variables': json.loads("{\"companyId\":1}"),
},
timeout=30,
)
response.raise_for_status()
payload = response.json()
if payload.get('errors'):
raise RuntimeError(payload['errors'])
print(payload['data'])
Contribute to the Docs
Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.
How to contribute